Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACEXML_SAXPrint_Handler Class Reference

ACEXML_SAXPrint_Handler is an example SAX event handler. More...

`#include <SAXPrint_Handler.h>`

Inheritance diagram for ACEXML_SAXPrint_Handler:

[legend]
Collaboration diagram for ACEXML_SAXPrint_Handler:

[legend]
List of all members.

## Public Methods
| ACEXML_SAXPrint_Handler (void)
virtual | ~ACEXML_SAXPrint_Handler (void)
virtual void | characters (const ACEXML_Char *ch, int start, int length, ACEXML_Env &xmlenv)
virtual void | endDocument (ACEXML_Env &xmlenv)
virtual void | endElement (const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName, ACEXML_Env &xmlenv)
virtual void | endPrefixMapping (const ACEXML_Char *prefix, ACEXML_Env &xmlenv)
virtual void | ignorableWhitespace (const ACEXML_Char *ch, int start, int length, ACEXML_Env &xmlenv)
virtual void | processingInstruction (const ACEXML_Char *target, const ACEXML_Char *data, ACEXML_Env &xmlenv)
virtual void | setDocumentLocator (ACEXML_Locator *locator, ACEXML_Env &xmlenv)
virtual void | skippedEntity (const ACEXML_Char *name, ACEXML_Env &xmlenv)
virtual void | startDocument (ACEXML_Env &xmlenv)
virtual void | startElement (const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName, ACEXML_Attributes *atts, ACEXML_Env &xmlenv)
virtual void | startPrefixMapping (const ACEXML_Char *prefix, const ACEXML_Char *uri, ACEXML_Env &xmlenv)
virtual void | notationDecl (const ACEXML_Char *name, const ACEXML_Char *publicId, const ACEXML_Char *systemId, ACEXML_Env &xmlenv)
virtual void | unparsedEntityDecl (const ACEXML_Char *name, const ACEXML_Char *publicId, const ACEXML_Char *systemId, const ACEXML_Char *notationName, ACEXML_Env &xmlenv)
virtual ACEXML_InputSource * | resolveEntity (const ACEXML_Char *publicId, const ACEXML_Char *systemId, ACEXML_Env &xmlenv)
virtual void | error (ACEXML_SAXParseException &exception, ACEXML_Env &xmlenv)
virtual void | fatalError (ACEXML_SAXParseException &exception, ACEXML_Env &xmlenv)
virtual void | warning (ACEXML_SAXParseException &exception, ACEXML_Env &xmlenv)
void | inc_indent ()
void | dec_indent ()
void | print_indent ()
## Private Attributes
size_t | indent_

## Detailed Description

ACEXML_SAXPrint_Handler is an example SAX event handler.

This SAX event handler try to regenerate the XML document it reads with correct indentation.

## Constructor & Destructor Documentation

ACEXML_SAXPrint_Handler::ACEXML_SAXPrint_Handler | ( | void |  | ) |

ACEXML_SAXPrint_Handler::~ACEXML_SAXPrint_Handler | ( | void |  | ) | `[virtual]`

## Member Function Documentation

void ACEXML_SAXPrint_Handler::characters | ( | const ACEXML_Char * | cdata,
|  | int | start,
|  | int | end,
|  | ACEXML_Env & | xmlenv
| ) | `[virtual]`

| Receive notification of character data. Reimplemented from ACEXML_DefaultHandler.

ACEXML_INLINE void ACEXML_SAXPrint_Handler::dec_indent | ( | void |  | ) |

void ACEXML_SAXPrint_Handler::endDocument | ( | ACEXML_Env & | xmlenv | ) | `[virtual]`

| Receive notification of the end of a document. Reimplemented from ACEXML_DefaultHandler.

void ACEXML_SAXPrint_Handler::endElement | ( | const ACEXML_Char * | namespaceURI,
|  | const ACEXML_Char * | localName,
|  | const ACEXML_Char * | qName,
|  | ACEXML_Env & | xmlenv
| ) | `[virtual]`

| Receive notification of the end of an element. Reimplemented from ACEXML_DefaultHandler.

void ACEXML_SAXPrint_Handler::endPrefixMapping | ( | const ACEXML_Char * | prefix,
|  | ACEXML_Env & | xmlenv
| ) | `[virtual]`

| End the scope of a prefix-URI mapping. Reimplemented from ACEXML_DefaultHandler.

void ACEXML_SAXPrint_Handler::error | ( | ACEXML_SAXParseException & | exception,
|  | ACEXML_Env & | xmlenv
| ) | `[virtual]`

| Receive notification of a recoverable error. Reimplemented from ACEXML_DefaultHandler.

void ACEXML_SAXPrint_Handler::fatalError | ( | ACEXML_SAXParseException & | exception,
|  | ACEXML_Env & | xmlenv
| ) | `[virtual]`

| Receive notification of a non-recoverable error. Reimplemented from ACEXML_DefaultHandler.

void ACEXML_SAXPrint_Handler::ignorableWhitespace | ( | const ACEXML_Char * | ch,
|  | int | start,
|  | int | length,
|  | ACEXML_Env & | xmlenv
| ) | `[virtual]`

| Receive notification of ignorable whitespace in element content. Reimplemented from ACEXML_DefaultHandler.

ACEXML_INLINE void ACEXML_SAXPrint_Handler::inc_indent | ( | void |  | ) |

void ACEXML_SAXPrint_Handler::notationDecl | ( | const ACEXML_Char * | name,
|  | const ACEXML_Char * | publicId,
|  | const ACEXML_Char * | systemId,
|  | ACEXML_Env & | xmlenv
| ) | `[virtual]`

| Receive notification of a notation declaration event. Reimplemented from ACEXML_DefaultHandler.

void ACEXML_SAXPrint_Handler::print_indent | ( | void |  | ) |

void ACEXML_SAXPrint_Handler::processingInstruction | ( | const ACEXML_Char * | target,
|  | const ACEXML_Char * | data,
|  | ACEXML_Env & | xmlenv
| ) | `[virtual]`

| Receive notification of a processing instruction. Reimplemented from ACEXML_DefaultHandler.

ACEXML_InputSource * ACEXML_SAXPrint_Handler::resolveEntity | ( | const ACEXML_Char * | publicId,
|  | const ACEXML_Char * | systemId,
|  | ACEXML_Env & | xmlenv
| ) | `[virtual]`

| Allow the application to resolve external entities. Reimplemented from ACEXML_DefaultHandler.

void ACEXML_SAXPrint_Handler::setDocumentLocator | ( | ACEXML_Locator * | locator,
|  | ACEXML_Env & | xmlenv
| ) | `[virtual]`

| Receive an object for locating the origin of SAX document events. Reimplemented from ACEXML_DefaultHandler.

void ACEXML_SAXPrint_Handler::skippedEntity | ( | const ACEXML_Char * | name,
|  | ACEXML_Env & | xmlenv
| ) | `[virtual]`

| Receive notification of a skipped entity. Reimplemented from ACEXML_DefaultHandler.

void ACEXML_SAXPrint_Handler::startDocument | ( | ACEXML_Env & | xmlenv | ) | `[virtual]`

| Receive notification of the beginning of a document. Reimplemented from ACEXML_DefaultHandler.

void ACEXML_SAXPrint_Handler::startElement | ( | const ACEXML_Char * | namespaceURI,
|  | const ACEXML_Char * | localName,
|  | const ACEXML_Char * | qName,
|  | ACEXML_Attributes * | alist,
|  | ACEXML_Env & | xmlenv
| ) | `[virtual]`

| Receive notification of the beginning of an element. Reimplemented from ACEXML_DefaultHandler.

void ACEXML_SAXPrint_Handler::startPrefixMapping | ( | const ACEXML_Char * | prefix,
|  | const ACEXML_Char * | uri,
|  | ACEXML_Env & | xmlenv
| ) | `[virtual]`

| Begin the scope of a prefix-URI Namespace mapping. Reimplemented from ACEXML_DefaultHandler.

void ACEXML_SAXPrint_Handler::unparsedEntityDecl | ( | const ACEXML_Char * | name,
|  | const ACEXML_Char * | publicId,
|  | const ACEXML_Char * | systemId,
|  | const ACEXML_Char * | notationName,
|  | ACEXML_Env & | xmlenv
| ) | `[virtual]`

| Receive notification of an unparsed entity declaration event. Reimplemented from ACEXML_DefaultHandler.

void ACEXML_SAXPrint_Handler::warning | ( | ACEXML_SAXParseException & | exception,
|  | ACEXML_Env & | xmlenv
| ) | `[virtual]`

| Receive notification of a warning. Reimplemented from ACEXML_DefaultHandler.

## Member Data Documentation

size_t ACEXML_SAXPrint_Handler::indent_`[private]`

The documentation for this class was generated from the following files:

- SAXPrint_Handler.h
- SAXPrint_Handler.cpp
- SAXPrint_Handler.i